const path = require("path");
const TerserPlugin = require("terser-webpack-plugin"); // 引入压缩插件

module.exports = {
  entry: {
    "basicData": "./src/index.js",
    "basicData.min": "./src/index.js",
  },
  output: {
    path: path.resolve(__dirname),
    filename: "[name].js",
    library: "package", // 导出变量名
    libraryExport: "default",
    libraryTarget: "umd", // 所有的模块定义下都可运行的方式。它将在 CommonJS, AMD 环境下运行，或将模块导出到 global 下的变  量
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        loader: "babel-loader",
        exclude: /node_modules/,
      },
    ],
  },
};
